American Bitcoin Corp
Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.
Request format
curl -X GET "https://newhedge.io/api/v2/companies/american-bitcoin-corp/METRIC_NAME?api_token=YOUR_TOKEN"
api_token (required) — 24 character token.
:metric_name — one of the company metric names listed below.
200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.
Metrics
Each company metric is fetched independently.
Bitcoin Acquisitions
Bitcoin acquisition history for the company.
https://newhedge.io/api/v2/companies/american-bitcoin-corp/bitcoin-acquisitions?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
{
"date": 1767571200000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": "https://x.com/ABTC/status/2008138911487508480",
"holding_balance": 5427.0,
"holding_net_change": 329.0,
"transaction_value_usd": 30883249.74,
"average_entry_value_usd": 0.0,
"transaction_value_calculated": true
},
{
"date": 1769472000000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": "https://x.com/ABTC/status/2016111445935849552?s=20",
"holding_balance": 5843.0,
"holding_net_change": 416.0,
"transaction_value_usd": 37073566.4,
"average_entry_value_usd": 0.0,
"transaction_value_calculated": true
},
{
"date": 1771891200000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": "https://www.prnewswire.com/news-releases/american-bitcoin-reports-fourth-quarter-and-full-year-2025-results-302697789.html",
"holding_balance": 6235.0,
"holding_net_change": 392.0,
"transaction_value_usd": 25122511.68,
"average_entry_value_usd": 0.0,
"transaction_value_calculated": true
}
]
Bitcoin Holdings
Historical Bitcoin holdings for the company.
https://newhedge.io/api/v2/companies/american-bitcoin-corp/bitcoin-holdings?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
[
1778976000000,
6235.0
],
[
1779062400000,
6235.0
],
[
1779148800000,
6235.0
]
]
Bitcoin Holdings USD
Historical USD value of the company's Bitcoin holdings.
https://newhedge.io/api/v2/companies/american-bitcoin-corp/bitcoin-holdings-usd?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
[
1778976000000,
482775177.1
],
[
1779062400000,
479747523.45
],
[
1779148800000,
478598662.35
]
]
Price Data
Historical market price data stored on the company profile.
https://newhedge.io/api/v2/companies/american-bitcoin-corp/price-data?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
{
"low": 1.1,
"date": "2026-05-15",
"high": 1.14,
"open": 1.14,
"close": 1.11,
"volume": 12148100
},
{
"low": 1.0,
"date": "2026-05-18",
"high": 1.09,
"open": 1.08,
"close": 1.03,
"volume": 17461000
},
{
"low": 1.0,
"date": "2026-05-19",
"high": 1.05,
"open": 1.01,
"close": 1.02,
"volume": 12183619
}
]
Company Data
Company profile, fundamentals, and related reference data.
https://newhedge.io/api/v2/companies/american-bitcoin-corp/company-data?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"eps_estimate_next_quarter": 0,
"quarterly_earnings_growth": 0,
"eps_estimate_current_quarter": 0.005
}
Performance Metrics
Calculated performance metrics for the company.
https://newhedge.io/api/v2/companies/american-bitcoin-corp/performance-metrics?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"one_month_return": -19.05,
"six_month_return": -79.01,
"three_month_return": -1.92
}
Treasury Metrics
Bitcoin treasury summary metrics for the company.
https://newhedge.io/api/v2/companies/american-bitcoin-corp/treasury-metrics?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"btc_percent_company": 25.9,
"total_btc_percentage": 0.03,
"share_price_change_state": "down"
}